GNU bug report logs - #15700
24.3; calling dired results in resized frame (it gets wider)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: e.taumberger@HIDDEN; merged with #22000, #22898, #31626; dated Thu, 24 Oct 2013 15:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 15700 22000 22898 31626. Request was from David Engster <deng@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 15700 22000 22898. Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 15700 22000 22898. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 15700 <at> debbugs.gnu.org:


Received: (at 15700) by debbugs.gnu.org; 27 Dec 2015 16:05:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 27 11:05:54 2015
Received: from localhost ([127.0.0.1]:44539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aDDpR-0006hc-SM
	for submit <at> debbugs.gnu.org; Sun, 27 Dec 2015 11:05:54 -0500
Received: from mout.gmx.net ([212.227.17.22]:54165)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rudalics@HIDDEN>) id 1aDDpQ-0006hQ-FX
 for 15700 <at> debbugs.gnu.org; Sun, 27 Dec 2015 11:05:52 -0500
Received: from [192.168.1.100] ([213.162.68.11]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0LqE5k-1ZiZyJ3b0K-00djdI; Sun, 27 Dec 2015 17:05:27
 +0100
Message-ID: <56800C3E.5070506@HIDDEN>
Date: Sun, 27 Dec 2015 17:05:18 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#15700: 24.3; calling dired results in resized frame (it gets
 wider)
References: <OF1B96DD6E.B5762E26-ONC1257C13.00288FA6-C1257C13.00289061@HIDDEN>	<526FEF33.9010109@HIDDEN>
 <87poxuggn2.fsf@HIDDEN>
In-Reply-To: <87poxuggn2.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:BmXChbT8upboxr+OtF+oN73ETdCu1IpKPuAcgE6/XE3zSU+dA+J
 41IC1qX5UiaxEv+nLkezb2c1LQ6ixB1fq9A/W2azOBCzf0bQsdezc2FxaW+fGoKppZRX8xL
 wUDpwXShqc2pqOLwRrhbccq5zTuMjE9WxtlmvL0S6lXRmux+bYNnC23X2WE4YonQr428ij2
 GBvGt4rC88X+GWYBkv28Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:yc1ZknaJ/eg=:U2C2wroEI1Mgi96xAPFz7a
 6rSrX/XsQxTu4S1SGkMFxkARY05qb/vO4LdL1FV/Y3hYdm9rv7tgCrrdcekwOXAUtU+vEi7eo
 9d2sHcit7JoxRSt+lo2bgh/5DuTczj0G0A29dh8ENWTBdKBFgai9zE5ArlMCFVH920g66r3ob
 M7cYAQ0FbvzNAak/5REUed9Yb8YI1b6Ja3/x/M1j+skVdjqIyl22ieJc7wAKbXApycyjQ/obv
 L2t2Fw9zkykKvfLXm2KgY5ctQYCEwZmzfIKXNcoU/qa/x6/tdT2UJjt/dwbC1oTd35lvTH2/W
 0wSWc0rNgARNFEgeo6HTw1JSvSwbpbg9S0mSaVkjTynZZCpHhGW0F+eB32dn4rc8CAty33/Dw
 2UF5AaDSh7+6r8qGEGo9kZ9wnafyJj/51JbVZFu+8ayNuVz6Gd3HvbfBYJMpJq8/a7T0g+/g6
 KnQ26928y6+kSCdlSYKvA+r5l5MlNnhnaKNB/C2OSHSVr9bT5ZBDrBDW8pvgLgR69O+yOaAsS
 crgzLedS1bi5IeV54YF2RamFkWQ/7w3JuNGWtAyJuzVtcMitS473Fha1yl9ntQkqSLlN8ome+
 UuuPtKvEiPHsTbQiPgGtHWMU0WD/PvP+VGOm6lmSnEZhZYF1IDNugNEgiuacz9OLBbi8jY5w2
 ngIAKy2WpK2z5fDpkrc6zfNy+51sZm9kBjO4Dziizji/RaBr14SWzj4UXR/AhC8gFHwa+z+rA
 T0X3n8NePBw8N0AfkGEWdYwikXeUwEVtVDfVv+tFUCrS+NAuVjMI8tf4YXjpUBLivgksEz18C
 cs/Ec0h9q6+RxUIo76QWDSORhkrwQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15700
Cc: 15700 <at> debbugs.gnu.org, e.taumberger@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > More information was requested, but no response was given within a few
 > months, so I'm closing this bug report.  If the problem still exists,
 > please reopen this bug report.

Admittedly, it was not easy for the OP to understand which additional
information he should provide in the first place.

I now reopened this bug and merged it with bug#22000.  There David
Engster gives a clear description of how to reproduce the bug and what's
causing this nasty behavior.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15700; Package emacs. Full text available.
Merged 15700 22000. Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 15700 <at> debbugs.gnu.org and e.taumberger@HIDDEN Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 15700 <at> debbugs.gnu.org:


Received: (at 15700) by debbugs.gnu.org; 26 Dec 2015 01:09:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 20:09:46 2015
Received: from localhost ([127.0.0.1]:36403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aCdMg-0008GP-DZ
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2015 20:09:46 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:44072)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aCdMe-0008GH-GV
 for 15700 <at> debbugs.gnu.org; Fri, 25 Dec 2015 20:09:44 -0500
Received: from 2.150.58.24.tmi.telenormobil.no ([2.150.58.24] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aCdMI-00083z-9I; Sat, 26 Dec 2015 02:09:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#15700: 24.3;
 calling dired results in resized frame (it gets wider)
References: <OF1B96DD6E.B5762E26-ONC1257C13.00288FA6-C1257C13.00289061@HIDDEN>
 <526FEF33.9010109@HIDDEN>
Date: Sat, 26 Dec 2015 02:09:21 +0100
In-Reply-To: <526FEF33.9010109@HIDDEN> (martin rudalics's message of "Tue, 29
 Oct 2013 18:24:03 +0100")
Message-ID: <87poxuggn2.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aCdMI-00083z-9I
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1451696962.58509@rpfoT6jb3Tp5E71S8S071A
X-Spam-Status: No
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15700
Cc: 15700 <at> debbugs.gnu.org, e.taumberger@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

martin rudalics <rudalics@HIDDEN> writes:

> Please keep the subject line unaltered in order to preserve the
> integrity of this thread.
>
>> The problem does not occur with 'emacs -q'
>
> So I can only guess what might happen here:
>
> - Your `dired' has some large toolbar and the window manager tries to
>   fit the frame to that toolbar.  This should be fairly easy to check.
>
> - You use some add-on which fits the frame width to that of the dired
>   buffer.  This should be easy to check too.
>
> Otherwise, you will have to run edbug on `dired' and check whether and
> where within `switch-to-buffer' it resizes the frame.  If this doesn't
> help either, you'll have to search your .emacs for the offender.

More information was requested, but no response was given within a few
months, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15700; Package emacs. Full text available.

Message received at 15700 <at> debbugs.gnu.org:


Received: (at 15700) by debbugs.gnu.org; 29 Oct 2013 17:24:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 29 13:24:22 2013
Received: from localhost ([127.0.0.1]:51417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VbD1h-0006Cw-6M
	for submit <at> debbugs.gnu.org; Tue, 29 Oct 2013 13:24:21 -0400
Received: from mout.gmx.net ([212.227.17.22]:63153)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VbD1d-0006Cg-OZ
 for 15700 <at> debbugs.gnu.org; Tue, 29 Oct 2013 13:24:18 -0400
Received: from [62.47.50.205] ([62.47.50.205]) by mail.gmx.com (mrgmx001)
 with ESMTPA (Nemesis) id 0MSdNs-1V9bTz20IO-00RWTj for
 <15700 <at> debbugs.gnu.org>; Tue, 29 Oct 2013 18:24:11 +0100
Message-ID: <526FEF33.9010109@HIDDEN>
Date: Tue, 29 Oct 2013 18:24:03 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: e.taumberger@HIDDEN
Subject: Re: bug#15700: 24.3; calling dired results in resized frame (it gets
 wider)
References: <OF1B96DD6E.B5762E26-ONC1257C13.00288FA6-C1257C13.00289061@HIDDEN>
In-Reply-To: <OF1B96DD6E.B5762E26-ONC1257C13.00288FA6-C1257C13.00289061@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:uMlEM9bJiwNANxEP/3BQ369t6RbbbPTdonoFoLdhHNIGfVuq/CP
 S71XcSrlvQxTWyASk2qhdc6g/8hkpcQq5M92P9/YwijMd/0RHzPHI4YHg+FFQG5BS/K2nsv
 H335u6PUWBaa56Wb46WGuC/w9z6HyrcgBT5BIbz56OhTdN/xDR6UGLkBXTMfTDO0dHV6K0o
 WW11/bqFOIKFnSNZrxcJA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15700
Cc: 15700 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Please keep the subject line unaltered in order to preserve the
integrity of this thread.

 > The problem does not occur with 'emacs -q'

So I can only guess what might happen here:

- Your `dired' has some large toolbar and the window manager tries to
   fit the frame to that toolbar.  This should be fairly easy to check.

- You use some add-on which fits the frame width to that of the dired
   buffer.  This should be easy to check too.

Otherwise, you will have to run edbug on `dired' and check whether and
where within `switch-to-buffer' it resizes the frame.  If this doesn't
help either, you'll have to search your .emacs for the offender.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15700; Package emacs. Full text available.

Message received at 15700 <at> debbugs.gnu.org:


Received: (at 15700) by debbugs.gnu.org; 29 Oct 2013 07:23:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 29 03:23:27 2013
Received: from localhost ([127.0.0.1]:50559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vb3eA-0006JV-F0
	for submit <at> debbugs.gnu.org; Tue, 29 Oct 2013 03:23:26 -0400
Received: from mailout04.rmx.de ([94.199.90.94]:37974)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <e.taumberger@HIDDEN>) id 1Vb3e4-0006JB-HI
 for 15700 <at> debbugs.gnu.org; Tue, 29 Oct 2013 03:23:21 -0400
Received: from kdin02.retarus.de (kdin02.retarus.de [172.19.17.49] (may be
 forged))
 by mailout04.rmx.de (8.14.4/8.14.5/retarus.custom) with ESMTP id
 r9T7NBij029436
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <15700 <at> debbugs.gnu.org>; Tue, 29 Oct 2013 08:23:12 +0100
Received: from atdg01.at.strabag.com ([91.216.242.1])
 by kdin02.retarus.de (8.14.5/8.14.2/retarus.custom) with ESMTP id
 r9T7N6WK011220
 (version=TLSv1/SSLv3 cipher=RC4-MD5 bits=128 verify=NO)
 for <15700 <at> debbugs.gnu.org>; Tue, 29 Oct 2013 08:23:11 +0100
Received: from atdm09.at.strabag.com ([10.200.10.39])
 by atdg01.at.strabag.com (Lotus Domino Release 8.5.3FP3)
 with ESMTP id 2013102908230496-11111 ;
 Tue, 29 Oct 2013 08:23:04 +0100 
MIME-Version: 1.0
Importance: Normal
X-Priority: 3 (Normal)
In-Reply-To: 
References: 
Subject: bug#15700
From: e.taumberger@HIDDEN
To: 15700 <at> debbugs.gnu.org
Message-ID: <OF1B96DD6E.B5762E26-ONC1257C13.00288FA6-C1257C13.00289061@HIDDEN>
Date: Tue, 29 Oct 2013 08:23:04 +0100
X-Mailer: Lotus Domino Web Server Release 8.5.3FP5 July 31, 2013
X-MIMETrack: Serialize by Notes Server on ATDM09/AT/BAU(Release 8.5.3FP5|July
 31, 2013) at 29.10.2013 08:23:04,
 Serialize complete at 29.10.2013 08:23:04,
 Serialize by Router on ATDM09/AT/BAU(Release 8.5.3FP5|July 31, 2013) at
 29.10.2013 08:23:04,
 Itemize by SMTP Server on ATDG01/AT/BAU(Release 8.5.3FP3|November 15, 2012) at
 29.10.2013 08:23:04,
 Serialize by Router on ATDG01/AT/BAU(Release 8.5.3FP3|November 15, 2012) at
 29.10.2013 08:23:11, Serialize complete at 29.10.2013 08:23:11
X-KeepSent: 1B96DD6E:B5762E26-C1257C13:00288FA6;
 type=4; flags=0; name=$KeepSent
X-TNEFEvaluated: 1
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
X-RMX-ID: 20131029-082311-r9T7N6WK011220-0@kdin02
X-RMX-TRACE: 2013-10-29 08:23:11 RmxMSO@kdin02/mailcc08 [0.1s]
 20131029-082311-r9T7N6WK011220-0@kdin02 0:00:00
X-RMX-TRACE: 2013-10-29 08:23:11 KdIn2013@kdin02/mailcc09 [0.2s]
 20131029-082311-r9T7N6WK011220-0@kdin02 0:00:00
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 15700
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

The problem does not occur with 'emacs -q'
=20

Mag. DIng. Ernst J. Taumberger

----------------------------------------
CENTER COMMUNICATION SYSTEMS GMBH
Ein Unternehmen der STRABAG AG

Senior Systems Engineer

Ignaz-K=C3=B6ck-Stra=C3=9Fe 19
A-1210 Wien, =C3=96sterreich

Phone: +43 (0) 190199 - 3119
Fax: +43 (0) 190199 - 2110
Mobile: +43 (0) 664 230 8465
e.taumberger@HIDDEN

----------------------------------------
FN 796 88p, Sitz in Wien
Firmenbuchgericht Wien
www.centersystems.com

Gesch=C3=A4ftsf=C3=BChrung: Ing. Gerhard Jelinek, Josef-Eduard Burger




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15700; Package emacs. Full text available.

Message received at 15700 <at> debbugs.gnu.org:


Received: (at 15700) by debbugs.gnu.org; 24 Oct 2013 17:27:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 13:27:55 2013
Received: from localhost ([127.0.0.1]:41507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VZOhO-0004ep-K1
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2013 13:27:54 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:56031 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VZOhK-0004ec-J7
 for 15700 <at> debbugs.gnu.org; Thu, 24 Oct 2013 13:27:52 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VZOhI-0000J2-Nw; Thu, 24 Oct 2013 13:27:48 -0400
From: Glenn Morris <rgm@HIDDEN>
To: e.taumberger@HIDDEN
Subject: Re: bug#15700: 24.3;
 calling dired results in resized frame (it gets wider)
References: <OFCF7EA3B3.A38D09B5-ONC1257C0E.003FE01F-C1257C0E.003FE031@HIDDEN>
X-Spook: 9705 Samford Road Ft. Knox kibo e-bomb mania computer
X-Ran: ZB?6M\I`ienVXL#wa11|g+xcFx}e?zH~/,V{cPr@]Oi4GK$x[P/QTN5a)OF{r[s)Zb'Z6$
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 24 Oct 2013 13:27:48 -0400
In-Reply-To: <OFCF7EA3B3.A38D09B5-ONC1257C0E.003FE01F-C1257C0E.003FE031@HIDDEN>
 (e. taumberger's message of "Thu, 24 Oct 2013 13:37:41 +0200")
Message-ID: <gar4balgtn.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 15700
Cc: 15700 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

e.taumberger@HIDDEN wrote:

> Calling dired in a buffer (like C-x d) causes the frame to become
> wider.  I like to use frames with a width of 80 characters; the dired
> buffer gets widened to 85 to 90 characters.

I'm afraid I cannot reproduce that here. Does it happen with emacs -Q?

> In GNU Emacs 24.3.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
>  of 2013-10-10 on egmont
> Windowing system distributor `The X.Org Foundation', version 11.0.11300000
> System Description:	Ubuntu 12.04.3 LTS

I'll just blame Unity then. ;)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15700; Package emacs. Full text available.

Message received at 15700 <at> debbugs.gnu.org:


Received: (at 15700) by debbugs.gnu.org; 24 Oct 2013 17:25:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 13:25:08 2013
Received: from localhost ([127.0.0.1]:41503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VZOeg-0004af-D1
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2013 13:25:07 -0400
Received: from mout.gmx.net ([212.227.15.15]:55454)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VZOec-0004Zx-Vy
 for 15700 <at> debbugs.gnu.org; Thu, 24 Oct 2013 13:25:04 -0400
Received: from [62.47.40.53] ([62.47.40.53]) by mail.gmx.com (mrgmx103) with
 ESMTPA (Nemesis) id 0MX19U-1VERS83H9Q-00VwZK for <15700 <at> debbugs.gnu.org>;
 Thu, 24 Oct 2013 19:24:56 +0200
Message-ID: <526957E8.9050506@HIDDEN>
Date: Thu, 24 Oct 2013 19:24:56 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: e.taumberger@HIDDEN
Subject: Re: bug#15700: 24.3; calling dired results in resized frame (it gets
 wider)
References: <OFCF7EA3B3.A38D09B5-ONC1257C0E.003FE01F-C1257C0E.003FE031@HIDDEN>
In-Reply-To: <OFCF7EA3B3.A38D09B5-ONC1257C0E.003FE01F-C1257C0E.003FE031@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:dOUpa64ybEcVLMksyqTHBDOzF6kZ9KK8BhKB/9NAMr2I2lQLG1m
 wmBkcqBLGGrxeK69hvhg97XOdhGh7rFa8QtyPoeg5mAx1GTJoGwF+Imjhqze2iRvANgH7Xa
 k+EwW17nqZ18PMPNulWLkre6qgSFi3xvUjqpFqaAvOfOZjJ/oKiIyLh+qQB6m1+dC72sBN6
 q4LmR7x5gm11hb+ur+rVg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15700
Cc: 15700 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Calling dired in a buffer (like C-x d) causes the frame to become
 > wider.  I like to use frames with a width of 80 characters; the dired
 > buffer gets widened to 85 to 90 characters.

IIUC this is not intended.  Does it happen with emacs -Q?  Do you see
such resizing in other occasions too?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15700; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Oct 2013 15:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 11:56:09 2013
Received: from localhost ([127.0.0.1]:41371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VZNGZ-0002IS-La
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2013 11:56:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43225)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <e.taumberger@HIDDEN>) id 1VZJEx-0004AF-NY
 for submit <at> debbugs.gnu.org; Thu, 24 Oct 2013 07:38:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <e.taumberger@HIDDEN>) id 1VZJEm-00073h-FX
 for submit <at> debbugs.gnu.org; Thu, 24 Oct 2013 07:38:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41110)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <e.taumberger@HIDDEN>) id 1VZJEm-00073d-Bm
 for submit <at> debbugs.gnu.org; Thu, 24 Oct 2013 07:38:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44893)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <e.taumberger@HIDDEN>) id 1VZJEg-0008Ph-M8
 for bug-gnu-emacs@HIDDEN; Thu, 24 Oct 2013 07:38:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <e.taumberger@HIDDEN>) id 1VZJEb-00072I-7g
 for bug-gnu-emacs@HIDDEN; Thu, 24 Oct 2013 07:37:54 -0400
Received: from mailout04.rmx.de ([94.199.90.94]:52287)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <e.taumberger@HIDDEN>) id 1VZJEa-00071r-UP
 for bug-gnu-emacs@HIDDEN; Thu, 24 Oct 2013 07:37:49 -0400
Received: from kdin01.retarus.de (kdin01.retarus.de [172.19.17.48] (may be
 forged))
 by mailout04.rmx.de (8.14.4/8.14.5/retarus.custom) with ESMTP id
 r9OBbhVT021734
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Thu, 24 Oct 2013 13:37:43 +0200
Received: from atdg01.at.strabag.com ([80.120.254.147])
 by kdin01.retarus.de (8.14.5/8.14.2/retarus.custom) with ESMTP id
 r9OBbZT5025654
 (version=TLSv1/SSLv3 cipher=RC4-MD5 bits=128 verify=NO)
 for <bug-gnu-emacs@HIDDEN>; Thu, 24 Oct 2013 13:37:42 +0200
Received: from atdm09.at.strabag.com ([10.200.10.39])
 by atdg01.at.strabag.com (Lotus Domino Release 8.5.3FP3)
 with ESMTP id 2013102413374235-214005 ;
 Thu, 24 Oct 2013 13:37:42 +0200 
MIME-Version: 1.0
Importance: Normal
X-Priority: 3 (Normal)
In-Reply-To: 
References: 
Subject: 24.3; calling dired results in resized frame (it gets wider)
From: e.taumberger@HIDDEN
To: bug-gnu-emacs@HIDDEN
Message-ID: <OFCF7EA3B3.A38D09B5-ONC1257C0E.003FE01F-C1257C0E.003FE031@HIDDEN>
Date: Thu, 24 Oct 2013 13:37:41 +0200
X-Mailer: Lotus Domino Web Server Release 8.5.3FP5 July 31, 2013
X-MIMETrack: Serialize by Notes Server on ATDM09/AT/BAU(Release 8.5.3FP5|July
 31, 2013) at 24.10.2013 13:37:41,
 Serialize complete at 24.10.2013 13:37:41,
 Serialize by Router on ATDM09/AT/BAU(Release 8.5.3FP5|July 31, 2013) at
 24.10.2013 13:37:41,
 Itemize by SMTP Server on ATDG01/AT/BAU(Release 8.5.3FP3|November 15, 2012) at
 24.10.2013 13:37:42,
 Serialize by Router on ATDG01/AT/BAU(Release 8.5.3FP3|November 15, 2012) at
 24.10.2013 13:37:42, Serialize complete at 24.10.2013 13:37:42
X-KeepSent: CF7EA3B3:A38D09B5-C1257C0E:003FE01F;
 type=4; flags=0; name=$KeepSent
X-TNEFEvaluated: 1
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
X-RMX-ID: 20131024-133742-r9OBbZT5025654-0@kdin01
X-RMX-TRACE: 2013-10-24 13:37:43 RmxMSO@kdin01/mailcc04 [0.0s]
 20131024-133742-r9OBbZT5025654-0@kdin01 0:00:01
X-RMX-TRACE: 2013-10-24 13:37:42 KdIn2013@kdin01/mailcc07 [0.2s]
 20131024-133742-r9OBbZT5025654-0@kdin01 0:00:00
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 24 Oct 2013 11:56:04 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Calling dired in a buffer (like C-x d) causes the frame to become
wider.  I like to use frames with a width of 80 characters; the dired
buffer gets widened to 85 to 90 characters.

In GNU Emacs 24.3.3 (x86=5F64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2013-10-10 on egmont
Windowing system distributor `The X.Org Foundation', version 11.0.11300000
System Description:	Ubuntu 12.04.3 LTS

Configured using:
 `configure '--with-imagemagick''

Important settings:
  value of $LC=5FMONETARY: de=5FAT.UTF-8
  value of $LC=5FNUMERIC: de=5FAT.UTF-8
  value of $LC=5FTIME: de=5FAT.UTF-8
  value of $LANG: en=5FUS.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Dired by name

Minor modes in effect:
  show-paren-mode: t
  recentf-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  transient-mark-mode: t

Recent input:
<help-echo> g ~ x y e s <return> g <help-echo> M-x=20
e m a c s SPC v e r <tab> <return> <help-echo> M-x=20
r e p o <tab> r <tab> <return>

Recent messages:
Cleaning up the recentf list...done (0 removed)
Source file `/home/ernst/.emacs.d/elpa/auctex-11.86/auctex-pkg.el' newer th=
an byte-compiled file
Source file `/home/ernst/.emacs.d/elpa/yasnippet-0.8.0/yasnippet-pkg.el' ne=
wer than byte-compiled file
Source file `/home/ernst/.emacs.d/elpa/auctex-11.86/tex-site.el' newer than=
 byte-compiled file
Starting Emacs daemon.
Flagging backup files for deletion...
9 backup files flagged.
Deleting...done
GNU Emacs 24.3.3 (x86=5F64-unknown-linux-gnu, GTK+ Version 3.4.2) of 2013-1=
0-10 on egmont
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils server imenu auctex-autoloads tex-site info ggtags-autoloads
ioccur-autoloads svg-clock-autoloads vlf-autoloads yasnippet-autoloads
package saveplace uniquify ob-python ob-mscgen ob-awk paren recentf
tree-widget wid-edit time cus-start cus-load switch-window edmacro
kmacro cl-macs gv quail help-mode cl tempo org-clock org-exp ob-exp
org-exp-blocks org-agenda remember org-remember org-datetree org
byte-opt warnings bytecomp byte-compile cconv advice help-fns cl-lib
advice-preload ob-tangle ob-ref ob-lob ob-table org-footnote org-src
ob-comint ob-keys org-pcomplete pcomplete comint ansi-color ring
org-list org-faces org-entities time-date noutline outline easy-mmode
org-version ob-emacs-lisp ob org-compat org-macs ob-eval org-loaddefs
format-spec find-func cal-menu calendar cal-loaddefs dired-x easymenu
dired p4 tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)
=20

Mag. DIng. Ernst J. Taumberger

----------------------------------------
CENTER COMMUNICATION SYSTEMS GMBH
Ein Unternehmen der STRABAG AG

Senior Systems Engineer

Ignaz-K=C3=B6ck-Stra=C3=9Fe 19
A-1210 Wien, =C3=96sterreich

Phone: +43 (0) 190199 - 3119
Fax: +43 (0) 190199 - 2110
Mobile: +43 (0) 664 230 8465
e.taumberger@HIDDEN

----------------------------------------
FN 796 88p, Sitz in Wien
Firmenbuchgericht Wien
www.centersystems.com

Gesch=C3=A4ftsf=C3=BChrung: Ing. Gerhard Jelinek, Josef-Eduard Burger




Acknowledgement sent to e.taumberger@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15700; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 28 May 2018 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.